summaryrefslogtreecommitdiff
path: root/files/puppet/modules/pixelated/files/check_mk/check_pixelated_user_agent.sh
diff options
context:
space:
mode:
Diffstat (limited to 'files/puppet/modules/pixelated/files/check_mk/check_pixelated_user_agent.sh')
-rw-r--r--files/puppet/modules/pixelated/files/check_mk/check_pixelated_user_agent.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/files/puppet/modules/pixelated/files/check_mk/check_pixelated_user_agent.sh b/files/puppet/modules/pixelated/files/check_mk/check_pixelated_user_agent.sh
new file mode 100644
index 0000000..a2d81a9
--- /dev/null
+++ b/files/puppet/modules/pixelated/files/check_mk/check_pixelated_user_agent.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+STATUS[0]='OK'
+STATUS[1]='Critical'
+STATUS[2]='Critical'
+CHECKNAME='Dispatcher_Proxy'
+
+MESSAGE=$(/usr/lib/nagios/plugins/check_procs -a '/usr/bin/pixelated-user-agent' -c 1:1)
+SERVICESTATUS=$?
+echo "${SERVICESTATUS} ${CHECKNAME} running=1 ${MESSAGE}"
+